Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreImageResampler.h File Reference

`#include <algorithm>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | UNPACK(dst, x, y, z)
#define | ACCUM3(x, y, z, factor)
#define | ACCUM4(x, y, z, factor)
## Typedefs
typedef unsigned __int64 | uint64

## Define Documentation

#define ACCUM3 | ( | x,
|  | y,
|  | z,
|  | factor |  | ) |

| Value:
    { float f = factor; \
        size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
        accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
        accum[2]+=srcdata[off+2]*f; }
Referenced by Ogre::LinearResampler_Float32::scale().

#define ACCUM4 | ( | x,
|  | y,
|  | z,
|  | factor |  | ) |

| Value:
    { float f = factor; \
        size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
        accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
        accum[2]+=srcdata[off+2]*f; accum[3]+=srcdata[off+3]*f; }
Referenced by Ogre::LinearResampler_Float32::scale().

#define UNPACK | ( | dst,
|  | x,
|  | y,
|  | z |  | ) |

| Value:
    PixelUtil::unpackColour(&dst, src.format, \
        srcdata + srcelemsize*((x)+(y)*src.rowPitch+(z)*src.slicePitch))
Referenced by Ogre::LinearResampler::scale().

## Typedef Documentation

typedef unsigned __int64 Ogre::uint64

| Definition at line 40 of file OgreImageResampler.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007